unit Radio;

{.$D-      }

interface

type
  TRadioMessage = record
    Msg: Cardinal;
    WParam: Longint;
    InfoPtr: Pointer;
    Result: Longint;
  end;

procedure Broadcast(Msg: Cardinal; InfoPtr: Pointer);
function SomebodyObject(Msg: Cardinal; InfoPtr: Pointer): Boolean;

implementation

uses
  Forms;

procedure Broadcast;
var
  I: Integer;
begin
  with Screen do
    for I := 0 to Pred(FormCount) do
      with Forms[I] do
        Perform(Msg, 0, Longint(InfoPtr));
end;

function SomebodyObject;
var
  I: Integer;
begin
  Result := False;
  with Screen do
    for I := 0 to Pred(FormCount) do
      with Forms[I] do
        Result := Result or LongBool(Perform(Msg, 0, Longint(InfoPtr)));
end;

end.
