unit WndListF;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, RXCtrls;

type
  TWindowListForm = class(TForm)
    ListBox: TTextListBox;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure ListBoxDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TWindowListForm.FormCreate(Sender: TObject);
var
  Form: TForm;
  I: Integer;
begin
  with Screen, ListBox, Items do
  begin
    Clear;

    for I := 0 to Pred(FormCount) do
    begin
      Form := Forms[I];
      if Form.Visible and (Form<>Self) then 
        AddObject(Form.Caption, Form);
    end;

    ItemIndex := Integer(Count >= 2);
  end;
end;

procedure TWindowListForm.ListBoxDblClick(Sender: TObject);
begin
  ModalResult := mrOK;
end;

end.
