unit AboutF;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, TabNotBk, Menus, ComCtrls;

type
  TAboutForm = class(TForm)
    TabbedNotebook1: TTabbedNotebook;
    Label1: TLabel;
    Memo3: TMemo;
    HiddenPopupMenu: TPopupMenu;
    CtrlTabItem: TMenuItem;
    CtrlShiftTab: TMenuItem;
    NoImage: TPanel;
    Image: TImage;
    VersionEdit: TEdit;
    Edit2: TEdit;
    OKBtn: TButton;
    procedure AnyCtrlTabClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

uses
  AppUtils;

{$R *.DFM}

procedure TAboutForm.AnyCtrlTabClick(Sender: TObject);
begin
  with TabbedNotebook1 do
    PageIndex := 1- PageIndex;
end;

{$I Version.INC}

procedure TAboutForm.FormCreate(Sender: TObject);
var
  Size: Longint;
begin
  VersionEdit.Text := ' '+Version;

  Size := GetDeviceCaps(Canvas.Handle, SIZEPALETTE);
  Image.Visible :=
    (Size = 0) or
    (Size >= $100);
end;

initialization
  GetDefaultIniRegKey{RX} := 'Software\PAF\Goodwin\'+Copy(Version, 1, 4){ revision};
end.
 
