unit Flags;

interface

function StopScanning: Boolean;
function TossingFlagChanged: Boolean;
function TossingInProgress: Boolean;

implementation

uses
  SysUtils,
  Forms,

  ComLin;

function TossingInProgress;
begin
  Result := FileExists(TossingInProgressFlag);
end;

function StopScanning;
begin
  Result := Application.Terminated or TossingInProgress;
end;

function TossingFlagChanged;
const
  TossingWasInProgress: Boolean = False;
var
  Flag: Boolean;
begin
  Result := False;

  Flag := TossingInProgress;
  Result := Flag <> TossingWasInProgress;
  if Result then
    TossingWasInProgress := Flag;
end;

end.
