unit UpdateT;

interface

uses
  Classes;

type
  TAreasUpdateThread = class(TThread)
  private
    { Private declarations }
  protected
    procedure Execute; override;
  end;

procedure ExecuteAreasUpdateThread;

implementation

uses
  Mail;

{ Important: Methods and properties of objects in VCL can only be used in a
  method called using Synchronize, for example,

      Synchronize(UpdateCaption);

  and UpdateCaption could look like,

    procedure TAreasUpdateThread.UpdateCaption;
    begin
      Form1.Caption := 'Updated in a thread';
    end; }

{ TAreasUpdateThread }

procedure TAreasUpdateThread.Execute;
begin
  { Place thread code here }
  Areas.Update;
end;


procedure ExecuteAreasUpdateThread;
begin
  with TAreasUpdateThread.Create(False) do
    {Priority := tpLower{Lowest{Lower{Idle{tpTimeCritical};
end;

end.
